addToWallet.co
Workspaces
Pricing
API Docs
Tutorial Blog
Tools
Google Sheet Extension
PDF to Pass
Image to Pass
QR Code Generator
Barcode Generator
Integrations
© 2026 Hazelnut Ventures LLC. All Rights Reserved.
FAQsTrustContact Us
Overview
AuthenticationPass JSON GeneratorCreate PassGet PassUpdate PassDelete PassNotificationsGet Credits
Create TemplateList TemplatesGet TemplateUpdate TemplateDelete TemplateDynamic Pass Gen
Create Loyalty TemplateManage LoyaltyActivity Log
List User GroupsAdd UserList UsersUpdate UserDelete UserBatch Status

Get Credits API

Overview

The Get Credits API allows you to retrieve the number of free and premium credits available to a user. The response reflects current credits availablity based on the user's API key.

Base URL

https://app.addtowallet.co
GET/api/getCredits

Authentication

All API requests must include your API key in the request headers:

"apikey": "your-api-key-here"

Request Parameters

No query parameters are required.

curl -X GET 'https://api.addtowallet.co/api/getCredits' -H 'apikey: YOUR_API_KEY'

Response

Upon successful request, the API returns:

{ "premiumCredits": 121, "freeCredits": 0 }

Error Codes

The API may return the following error status codes:

Status CodeErrorDescription
401UnauthorizedMissing or invalid API key
500Internal Server ErrorUnexpected server error. Please contact support

Example error response:

{
 "success": false
 "error": "API Key not found",
 }

Important Notes

  • Free Credits: Free credits (up to 20) are only available if the user has not purchased any premium credits.
  • Premium Credits: If you have one or more premium credits, your free credits will automatically be set to 0.